%define gitcommit %(echo %version | cut -d. -f5)
%define apiver 0.5
Name:          wireplumber
Version:       0.5.0
Release:       1mamba
Summary:       Session / policy manager implementation for PipeWire
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pipewire.pages.freedesktop.org/wireplumber/
Source:        https://gitlab.freedesktop.org/pipewire/wireplumber.git/%{version}/wireplumber-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: liblua-devel
BuildRequires: libpipewire-devel
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END
BuildRequires: meson
Provides:      pipewiremanager
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Session / policy manager implementation for PipeWire.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson \
   -D doc=disabled \
   -D elogind=disabled \
   -D system-lua=true

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%systemd_user_post wireplumber.service
:

%preun
%systemd_user_preun wireplumber.service
:

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/wireplumber
%{_bindir}/wpctl
%{_bindir}/wpexec
%{_userunitdir}/wireplumber.service
%{_userunitdir}/wireplumber@.service
%dir %{_datadir}/wireplumber
#%{_datadir}/pipewire/wireplumber.conf
#%dir %{_datadir}/pipewire/wireplumber.conf.d
#%{_datadir}/pipewire/wireplumber.conf.d/alsa-vm.conf
%{_datadir}/wireplumber/*
%{_datadir}/zsh/site-functions/_wpctl
%dir %{_docdir}/wireplumber
%dir %{_docdir}/wireplumber/examples
%dir %{_docdir}/wireplumber/examples/wireplumber.conf.d
%{_docdir}/wireplumber/examples/wireplumber.conf.d/*.conf

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libwireplumber-%{apiver}.so.*
%dir %{_libdir}/wireplumber-%{apiver}
%{_libdir}/wireplumber-%{apiver}/libwireplumber-module-*.so
%{_libdir}/girepository-1.0/Wp-%{apiver}.typelib
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/wireplumber-%{apiver}
%dir %{_includedir}/wireplumber-%{apiver}/wp
%{_includedir}/wireplumber-%{apiver}/wp/*.h
%{_libdir}/libwireplumber-%{apiver}.so
%{_libdir}/pkgconfig/wireplumber-%{apiver}.pc
%{_datadir}/gir-1.0/Wp-%{apiver}.gir
%doc README.rst

%changelog
* Tue Mar 19 2024 Automatic Build System <autodist@openmamba.org> 0.5.0-1mamba
- automatic version update by autodist

* Thu Mar 07 2024 Automatic Build System <autodist@openmamba.org> 0.4.90-1mamba
- automatic version update by autodist

* Fri Feb 16 2024 Automatic Build System <autodist@openmamba.org> 0.4.82-1mamba
- automatic version update by autodist

* Mon Jan 08 2024 Automatic Build System <autodist@openmamba.org> 0.4.81-1mamba
- automatic version update by autodist

* Mon Dec 04 2023 Automatic Build System <autodist@mambasoft.it> 0.4.17-1mamba
- automatic version update by autodist

* Fri Dec 01 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.16-1mamba
- update to 0.4.16

* Wed Oct 18 2023 Automatic Build System <autodist@mambasoft.it> 0.4.15-1mamba
- automatic version update by autodist

* Tue Aug 15 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.14.20230811git.227dd970-1mamba
- update to 0.4.14.20230811git.227dd970

* Sat Mar 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.14-2mamba
- add scripts to enable systemd user service; add virtual provide pipewiremanager

* Sat Mar 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.14-1mamba
- package created using the webbuild interface
